<?xml version="1.0"?>
<ruleset>
	<rule ref="./vendor/mediawiki/mediawiki-codesniffer/MediaWiki">
		<exclude name="Generic.Files.LineLength.TooLong" />
		<exclude name="Generic.Files.OneObjectStructurePerFile.MultipleFound" />
		<exclude name="Generic.PHP.NoSilencedErrors.Discouraged" />
		<exclude name="MediaWiki.Files.ClassMatchesFilename.NotMatch" />
		<exclude name="MediaWiki.WhiteSpace.SpaceBeforeSingleLineComment.NewLineComment" />
		<exclude name="Squiz.Scope.MethodScope.Missing" />
	</rule>
	<file>.</file>
	<arg name="extensions" value="php,php5,inc"/>
	<arg name="encoding" value="UTF-8"/>
</ruleset>
